import java.awt.*;

/**
 * ブロック.
 */
public class KSpriteBlock01 extends KSpriteBlock00 implements KConstant {

	/**
	 * 色.
	 */
	private			int		color			= -1;

	/**
	 * 削除段階.
	 */
	private			int		deleteStage		= -1;

	/**
	 * コンストラクタ.
	 * @param panel KPanel
	 */
	public KSpriteBlock01(KPanel panel){

		super(panel);

	} // end KSpriteBlock01

	/**
	 * コンストラクタ.
	 * @param panel KPanel
	 * @param color 色
	 */
	public KSpriteBlock01(KPanel panel, int color){

		super(panel);

		// 色を保持
		this.color = color;

		// タイルイメージの設定
		this.setImage(color);

	} // end KSpriteBlock01

	/**
	 * 実行.
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * </pre>
	 */
	public void run(){

		// 親クラスを実行する
		super.run();

	} // end run

	/**
	 * スプライト描画.
	 * <pre>
	 * 表示の必要があれば実行される。
	 * </pre>
	 */
	public void paint(Graphics g){

		// 最終の削除段階ではない場合、
		if(deleteStage != 2){

			// タイルイメージの設定
			this.setImage(color);

			// 元々の描画処理を実行
			super.paint(g);

		} // end if 最終の削除段階ではない場合

		// 削除段階が設定されている場合、
		if(deleteStage != -1){

			// タイルイメージの設定
			this.setImage(KSpriteBlock00.class, deleteStage);

			// 再度、イメージを表示
			// 上書きイメージ
			super.paint(g);

		} // end if 削除段階が設定されている場合

	} // end paint

	/**
	 * 色を取得.
	 * @return int 色
	 */
	public int getColor(){
		return color;
	}

	/**
	 * 削除段階取得.
	 * @return int 削除段階
	 */
	public int getDeleteStage(){
		return this.deleteStage;
	}

	/**
	 * 削除段階設定.
	 * @param deleteStage 削除段階
	 */
	public void setDeleteStage(int deleteStage){
		this.deleteStage = deleteStage;
	}

}
